%define name gwenhywfar
%define major 60
%define libname %mklibname %{name} %{major}
%define qt4major 0
%define gtkmajor 0
%define gtklibname %mklibname gwengui-gtk2_ %{gtkmajor}
%define qt4libname %mklibname gwengui-qt4_ %{qt4major}
%define develname %mklibname -d %{name}

Summary:	A multi-platform helper library for other libraries
Name:		gwenhywfar
Version:	4.3.3
Release:	2
Group:		System/Libraries
License:	LGPLv2+
URL:		http://gwenhywfar.sourceforge.net/
# http://www2.aquamaniac.de/sites/download/packages.php
Source0:	http://files.hboeck.de/aq/%{name}-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	autoconf >= 2.58
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(gtk+-2.0)
Suggests:	%{name}-gui = %{version}

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %{libname}
Summary:	A multi-platform helper library for other libraries
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %{qt4libname}
Summary:	A multi-platform helper library for other libraries
Group:		System/Libraries
Provides:	%{name}-gui = %{version}

%description -n %{qt4libname}
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %{gtklibname}
Summary:	A multi-platform helper library for other libraries
Group:		System/Libraries
Provides:	%{name}-gui = %{version}

%description -n %{gtklibname}
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %{develname}
Summary:	Gwenhywfar development kit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{qt4libname} = %{version}-%{release}
Requires:	%{gtklibname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q

%build
%configure2_5x --disable-static \
  --disable-rpath \
  --with-guis="qt4 gtk2" --with-qt4-libs=%{qt4lib} \
  --with-openssl-libs=%{_libdir}
%make

%install
rm -fr %{buildroot} %{name}.lang
%makeinstall_std

%find_lang %{name}
perl -pi -e "s#-L%{_builddir}/%{name}-%{version}/src##" %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/%{name}/plugins/*/*/*.la
ln -snf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gct-tool
%{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*
%{_libdir}/%{name}

%files -n %{qt4libname}
%{_libdir}/libgwengui-qt4.so.%{qt4major}
%{_libdir}/libgwengui-qt4.so.%{qt4major}.*

%files -n %{gtklibname}
%{_libdir}/libgwengui-gtk2.so.%{gtkmajor}
%{_libdir}/libgwengui-gtk2.so.%{gtkmajor}.*

%files -n %{develname}
%{_bindir}/gwenhywfar-config
%{_bindir}/gsa
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar4
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.3.3-2
+ Revision: 95e5060
- MassBuild#440: Increase release tag


